/*
 * Klogwatch, Netfilter log monitor
 *
 * Copyright (C) 2004 Nick Battle <nick.battle@freeuk.com>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef KLOGCONFIG_H
#define KLOGCONFIG_H

#include <qfont.h>
#include <kconfig.h>

#define	_MINLINES	10
#define	_POLLTIME	1
#define	_PAUSETIME	60
#define	_SHOWTIME	5
#define	_COMMAND	"host \"$SRC\" 2>&1"
#define	_FILENAME	"/var/log/kernel"
#define	_BUFFSIZE	1000
#define	_SYSTRAY	1
#define	_TRAYALERT	0

#define	MAXNEWROWS	20

class KLogConfig
{
public:
    static KLogConfig *getConfig();
    void load();
    void save();
    void defaults();

    QString FILENAME;
    int POLLTIME;
    int PAUSETIME;
    int SHOWTIME;
    int MINLINES;
    int BUFFSIZE;
    QString COMMAND;
    QFont FONT;
    int SYSTRAY;
    int TRAYALERT;

private:
    KLogConfig();
    ~KLogConfig();
    KConfig *file;
    static KLogConfig *me;
};

extern KLogConfig *klogconfig;

#endif
