/*
 * Klogwatch, Netfilter log monitor
 *
 * Copyright (C) 2004 Nick Battle <nick.battle@freeuk.com>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef KLOGITEM_H
#define KLOGITEM_H

#include <qlistview.h>
#include "klogIP.h"

class KLogItem: public QListViewItem
{
public:
    KLogItem(QListView *listbox, const KLogLine *line);
    const KLogIP *getPacket(void) const;
    virtual void paintCell(QPainter *p, const QColorGroup &cg,int col, int width, int align);
    virtual int compare(QListViewItem *i, int col, bool ascending) const;
    bool isNew;
    int srcIpNum[4];
    int dstPortNum;
    unsigned long packetNumber;
    ~KLogItem();

private:
    const KLogLine *line;
    const KLogIP *packet;
};

#endif

